<?php
/**
 * The template for displaying all pages
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Byakurai
 */

defined( 'ABSPATH' ) || exit;
get_header();
?>
	<main id="primary" class="site-main<?php if ( ! is_front_page() ) { echo esc_attr( ' notfront' ); } ?>">
		<div id="main-child">
		<?php
		if ( is_front_page() ) {
			get_template_part( 'template-parts/content', 'front' );
		} else {
			$tmpcontent = false;
			if ( ! is_front_page() && function_exists( 'byakuraitmp_print_page' ) ) {
				$tmpcontent = byakuraitmp_print_page();
			}
			if ( false === $tmpcontent ) {
				get_template_part( 'template-parts/content', 'page' );
			} else {
				edit_post_link( __( 'Edit template front', 'byakurai' ), '', '', $tmpcontent );
			}
		}
		?>
		</div>
	</main><!-- #main -->
<?php
get_sidebar( '1' );
get_sidebar( '2' );
get_footer();
